Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.wsdl
Interface WSDLManager

    public interface WSDLManager

WSDLManager

Method Summary
`void` | `addDefinition(java.lang.Object key, javax.wsdl.Definition wsdl)` Adds a definition into the cache for lookup later
`javax.wsdl.Definition` | `getDefinition(org.w3c.dom.Element element)` Get the WSDL definition for the given Element.
`javax.wsdl.Definition` | `getDefinition(java.lang.String url)` Get the WSDL definition for the given URL.
`javax.wsdl.Definition` | `getDefinition(java.net.URL url)` Get the WSDL definition for the given URL.
`java.util.Map<java.lang.Object,javax.wsdl.Definition>` | `getDefinitions()`
`javax.wsdl.extensions.ExtensionRegistry` | `getExtensionRegistry()` Returns the ExtensionRegistry that the WSDLManager uses when reading WSDL files.
`ServiceSchemaInfo` | `getSchemasForDefinition(javax.wsdl.Definition wsdl)` This object will cache the schemas for a WSDL.
`javax.wsdl.factory.WSDLFactory` | `getWSDLFactory()` Returns the WSDLFactory that is used to read/write WSDL definitions
`void` | `putSchemasForDefinition(javax.wsdl.Definition wsdl, ServiceSchemaInfo schemas)` Register a collection of schemas for a WSDL.
`void` | `removeDefinition(javax.wsdl.Definition wsdl)` If the definition is cached, remove it from the cache

Method Detail

### getExtensionRegistry

    javax.wsdl.extensions.ExtensionRegistry getExtensionRegistry()

  Returns the ExtensionRegistry that the WSDLManager uses when reading WSDL files. Users can use this to register their own extensors.

  Returns:
    the ExtensionRegistry

### getWSDLFactory

    javax.wsdl.factory.WSDLFactory getWSDLFactory()

  Returns the WSDLFactory that is used to read/write WSDL definitions

  Returns:
    the WSDLFactory

### getDefinition

    javax.wsdl.Definition getDefinition(java.net.URL url)
                                        throws javax.wsdl.WSDLException

  Get the WSDL definition for the given URL. Implementations may return a copy from a local cache or load a new copy from the URL.

  Parameters:
    `url` - - the location of the WSDL to load
  Returns:
    the wsdl definition
  Throws:
    `javax.wsdl.WSDLException`

### getDefinition

    javax.wsdl.Definition getDefinition(java.lang.String url)
                                        throws javax.wsdl.WSDLException

  Get the WSDL definition for the given URL. Implementations may return a copy from a local cache or load a new copy from the URL.

  Parameters:
    `url` - - the location of the WSDL to load
  Returns:
    the wsdl definition
  Throws:
    `javax.wsdl.WSDLException`

### getDefinition

    javax.wsdl.Definition getDefinition(org.w3c.dom.Element element)
                                        throws javax.wsdl.WSDLException

  Get the WSDL definition for the given Element. Implementations may return a copy from a local cache or load a new copy from the Element.

  Parameters:
    `element` - - the root element of the wsdl
  Returns:
    the wsdl definition
  Throws:
    `javax.wsdl.WSDLException`

### addDefinition

    void addDefinition(java.lang.Object key,
                       javax.wsdl.Definition wsdl)

  Adds a definition into the cache for lookup later

  Parameters:
    `key` -
    `wsdl` -

### getDefinitions

    java.util.Map<java.lang.Object,javax.wsdl.Definition> getDefinitions()

  Returns:
    all Definitions in the map

### getSchemasForDefinition

    ServiceSchemaInfo getSchemasForDefinition(javax.wsdl.Definition wsdl)

  This object will cache the schemas for a WSDL.

  Parameters:
    `wsdl` -
  Returns:

### putSchemasForDefinition

    void putSchemasForDefinition(javax.wsdl.Definition wsdl,
                                 ServiceSchemaInfo schemas)

  Register a collection of schemas for a WSDL.

  Parameters:
    `wsdl` -
    `schemas` -

### removeDefinition

    void removeDefinition(javax.wsdl.Definition wsdl)

  If the definition is cached, remove it from the cache

  Parameters:
    `wsdl` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF